package game

//同步帧-玩家离开房间
type SyncFrame_PlayerLeave struct {
	Type     int `json:"t"`
	PlayerId int `json:"pi"`
}

func NewSyncFrame_PlayerLeave(playerId int) SyncFrame_PlayerLeave {
	return SyncFrame_PlayerLeave{Type: 100, PlayerId: playerId}
}

//同步帧-玩家离开房间
type SyncFrame_DeltaTime struct {
	Type      int   `json:"t"`
	DeltaTime int64 `json:"dt"`
}

func NewSyncFrame_DeltaTime(deltaTime int64) SyncFrame_DeltaTime {
	return SyncFrame_DeltaTime{Type: 101, DeltaTime: deltaTime}
}
